Bug Hunting Session
Bug 44626 - Copying a XY (scatter) chart with first row as label leads to incoherent data range
Summary: Copying a XY (scatter) chart with first row as label leads to incoherent data...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.4.4 release
Hardware: All Windows (All)
: high normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chart-Data
  Show dependency treegraph
 
Reported: 2012-01-10 03:31 UTC by daniel.schaaaf
Modified: 2018-06-15 02:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description daniel.schaaaf 2012-01-10 03:31:15 UTC
1) Open Calc, mark cells A1:B2 and insert a XY (scatter) chart with "data series in columns" and "first row as label"
=> data range is: $Sheet1.$A$1:$B$2

2) Make a copy of that chart
=> data range is: $Sheet1.$A$2:$B$2,$Sheet1.$B$1


This renders creating multiple charts with the same layout but different data very difficult. After one has copied a chart and adjusted the data range one always has to change the first (label) row back to the original. In the above example I would change $Sheet1.$A$2:$B$2 to $Sheet1.$A$3:$B$3 and then would have to revert $Sheet1.$B$1 back to $Sheet1.$A$1:$B$1 or my freshly copied chart would become corrupted.

I noticed that LibreOffice sometimes recognizes a corrupted data range and fixes it, but when the data range is more complex than in the above example then data ranges get seriously corrupted and charts turn to garbage.
Comment 1 ign_christian 2013-05-23 15:21:22 UTC
reproducible on LO 4.0.3.3 (Win7 32bit)

weird behavior..seems that data ranges on XY chart not remembered properly
Comment 2 QA Administrators 2016-01-17 20:02:28 UTC Comment hidden (obsolete)
Comment 3 daniel.schaaaf 2016-01-17 20:47:30 UTC
Bug reproducible in v5.0.4.2 and no changes in bug behaviour.

Tested on Windows Server 2012 R2.
Comment 4 QA Administrators 2017-03-06 13:55:45 UTC Comment hidden (obsolete)
Comment 5 daniel.schaaaf 2017-03-06 17:13:29 UTC
Bug still present in 5.3.0.3 (x64) on Windows 10 Pro.
Comment 6 QA Administrators 2018-06-15 02:45:28 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug